import 'package:flutter/material.dart';
import 'package:functions/src/features/functions/functions_screen.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class FunctionsBuilder {
  const FunctionsBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: FunctionsScreen(navigationContract: navigationContract),
    );
  }
}
